<?php
/*
File Name: Wordpress Theme Toolkit
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
*/

/************************************************************************************
* THEME USERS : don't touch anything !! Or don't ask the theme author for support :)
************************************************************************************/

include(dirname(__FILE__).'/themetoolkit.php');

/************************************************************************************
* THEME AUTHOR : edit the following function call :
************************************************************************************/

themetoolkit(
    'hyperballad', /* Make yourself at home :
            * Name of the variable that will contain all the options of
            * your theme admin menu (in the form of an array)
            * Name it according to PHP naming rules (http://php.net/variables) */

    array(     /* Variables used by your theme features (i.e. things the end user will
            * want to customize through the admin menu)
            * Syntax :
            * 'option_variable' => 'Option Title ## optionnal explanations',
            * 'option_variable' => 'Option Title {radio|value1|Text1|value2|Text2} ## optionnal explanations',
            * 'option_variable' => 'Option Title {textarea|rows|cols} ## optionnal explanations',
            * 'option_variable' => 'Option Title {checkbox|option_varname1|value1|Text1|option_varname2|value2|Text2} ## optionnal explanations',
            * Dont forget the comma at the end of each line ! */
    
    'msg_lang' => 'Blog language {radio|en|English|es|Spanish} ## ',
    /* FUTURE FEATURES - who knows...
	'showpinned' => 'Show pinned post {radio|yes|Yes|no|No} ## An area that will remain on top of other posts',
	'pinned' => 'Pinned post text {textarea|8|40} ## Content will be wrapped in a &lt;p&gt; tag. You can add more html as needed.',
	*/
	'showpostauthor' => 'Show post author {radio|yes|Yes|no|No} ## ',
    'showpages' => 'Show Pages box in sidebar {radio|yes|Yes|no|No} ## Select &#39no&#39 if you don&#39t use pages or menu',
	'showsyn' => 'Show Synopsis box in sidebar {radio|yes|Yes|no|No}',
	'syntext' => 'Synopsis text {textarea|8|40} ## Add a description about you, your site, or whatever you want. You can also add links or other html content.',
	'showcats' => 'Show number of posts in category {radio|yes|Yes|no|No}',
	'showlogin' => 'Show Login & Admin area links {radio|yes|Yes|no|No} ## If enabled you will see the &#39Login/Logout&#39 and &#39Site admin&#39 links at the bottom of the sidebar',
    
    /* DESACTIVADO POR AHORA
    'setting4' => 'Multiple choice {checkbox|mc1|happy|Are you Happy ?|mc2|human|Are you Human ?} ## Chose any',
    'debug' => 'debug',     /* this is a fake entry that will activate the "Programmer's Corner"
             * showing you vars and values while you build your theme. Remove it
             * when your theme is ready for shipping */
    ),
    __FILE__     /* Parent. DO NOT MODIFY THIS LINE !
              * This is used to check which file (and thus theme) is calling
              * the function (useful when another theme with a Theme Toolkit
              * was installed before */
);
    
/************************************************************************************
* From now on, you can create functions for your theme that will use the array
* of variables $mytheme->option. For example there will be now a variable
* $mytheme->option['your_age'] with value as set by theme end-user in the admin menu.
************************************************************************************/

/***************************************
* Additionnal Features and Functions
*
* Create your own functions using the array
* of user defined variables $mytheme->option.
**************************************/

function creditcard() {
    global $mytheme;
    print "My Credit Card Number is : ";
    print $mytheme->option['creditcard'];
}

// default options :

if (!$hyperballad->is_installed()) {
	$set_defaults['msg_lang'] = 'en';
	//$set_defaults['showpinned'] = 'no';
	//$set_defaults['pinned'] = '';
	$set_defaults['showpostauthor'] = 'yes';
	$set_defaults['showpages'] = 'yes';
	$set_defaults['showsyn'] = 'yes';
	$set_defaults['syntext'] = 'This is a hyper minimal theme loosely based on HyperBallad. For more, visit <a href="http://www.headsetoptions.org">Headsetoptions</a>.<br /><br />Modify this text Admin area > Presentation > Orange).';
	$set_defaults['showcats'] = 'yes';
	$set_defaults['showlogin'] = 'yes';
	$result = $hyperballad->store_options($set_defaults);
} 

function hbPages () { 
	global $hyperballad;
	if ($hyperballad->option['showpages'] == 'yes') {
		echo "<div class=\"box\">\n";
		echo "<h3>";
		global $msg_sidebar_pages; 
		echo($msg_sidebar_pages);
		echo "</h3>\n";
		echo "<ul>\n";
		wp_list_pages('title_li=');
		echo "</ul>\n";
		echo "</div>";
	}
}

function hbSynopsis () { 
	global $hyperballad;
	if ($hyperballad->option['showsyn'] == 'yes') {
		echo "<div class=\"box\">\n";
		echo "<h3>";
		global $msg_sidebar_synopsis; 
		echo($msg_sidebar_synopsis);
		echo "</h3>\n";
		echo "<p>";
		echo $hyperballad->option['syntext'];
		echo "</p>\n";
		echo "</div>\n";
	}
}

function hbCats () { 
	global $hyperballad;
	if ($hyperballad->option['showcats'] == 'yes') {
		echo "<ul class=\"norm\">\n";
		wp_list_cats('optioncount=1');
		echo "</ul>\n";	
	}
	else {
		echo "<ul>\n";
		wp_list_cats('optioncount=0');
		echo "</ul>\n";
	}
}

function hbPinned () { 
	global $hyperballad;
	if ($hyperballad->option['showpinned'] == 'yes') {
		echo "<div id=\"pinned\"><p>";
		echo $hyperballad->option['pinned'];
		echo "</p></div>\n";	
	}
}

function hbLogin () { 
	global $hyperballad;
	if ($hyperballad->option['showlogin'] == 'yes') {
		echo "<ul>";
            	echo "<li>"; wp_register(); echo "</li>\n";
		echo "<li>"; wp_loginout(); echo "</li>\n";
                echo "</ul>";
	}
}

function hbPostDate () { 
		global $hyperballad;
		if($hyperballad->option['msg_lang'] == 'en'){
			the_time('l, F jS, Y');
		}
		else {
			the_time('l, j \d\e F \d\e Y');
		}	
}

function hbCommentDate () { 
		global $hyperballad;
		if($hyperballad->option['msg_lang'] == 'en'){
			comment_date('l, F jS, Y');
		}
		else {
			comment_date('l, j \d\e F, Y');
		}	
}

function hbLogReq () {
		global $hyperballad;
		if($hyperballad->option['msg_lang'] == 'en'){
			echo "<p>You must be <a href=\"".get_option('siteurl')."/wp-login.php?redirect_to=".the_permalink()."\">logged in</a> to post a comment.</p>";
		}
		else {
			echo "<p>Debes <a href=\"".get_option('siteurl')."/wp-login.php?redirect_to=".the_permalink()."\">registrarte</a> para publicar un comentario.</p>";
		}
}

function hbLogAs () {
		global $hyperballad;
		global $user_identity;
		if($hyperballad->option['msg_lang'] == 'en'){
			echo "<p>Logged in as <a href=\"".get_option('siteurl')."/wp-admin/profile.php\">".$user_identity."</a>. <a href=\"".get_option('siteurl')."/wp-login.php?action=logout\" title=\"Log out of this account\">Logout &raquo;</a></p>";
		}
		else {
			echo "<p>Registrado como <a href=\"".get_option('siteurl')."/wp-admin/profile.php\">".$user_identity."</a>. <a href=\"".get_option('siteurl')."/wp-login.php?action=logout\" title=\"Cerrar la sesi&oacute;n para este usuario\">Cerrar sesi&oacute;n &raquo;</a></p>";
		}
}

?>